{% load i18n %}
{% if is_current_month %}
    <div id="{{ day_id }}"
         class="day text-center{% if editable %} dropdown{% endif %}{% if today %} today{% endif %}{% if weekend %} weekend{% else %} weekday{% endif %}{% if past %} past{% endif %}{% if public %} public{% endif %}{% if editable %} editable{% endif %}{% if absence %} absence absence-type-{{ absence_type.uuid }} bg-{{ absence_type.color }} text-{{ absence_type.color }}-fg {% endif %}{% if status %} {{ status }}{% endif %}"
         {% if absence %}title="{{ absence_type }}"{% endif %}
    >
        <button class="btn btn-action p-0 w-100 h-100{% if editable %} strong{% endif %}"
                {% if editable %}
                data-bs-toggle="dropdown" aria-expanded="false"
                {% else %}
                disabled
                {% endif %}
                id="dropdown-absence-{{ day.year }}-{{ day.month }}-{{ day.day }}"
        >
            {{ day.day }}
            <div class="collision-bars">
                {% for collision in absences %}
                    {% if collision.id != absence.id  %}
                        <div class="d-none d-xxl-block bg-{{ collision.employee.color }}" title="{{ collision.employee }}"></div>
                    {% endif %}
                {% endfor %}
            </div>
        </button>
        {% if editable %} {# and not past  #}
            <ul class="dropdown-menu" aria-labelledby="dropdown-absence-{{ day.year }}-{{ day.month }}-{{ day.day }}">
                {% if new %}
                    <li>
                        <a class="dropdown-item"
                           href="#"
                           hx-post="{% url 'timetracker:absence:cancel' absence.pk %}"
                           hx-swap="outerHTML"
                           hx-target="#{{ day_id }}"
                        >{% translate "Cancel" context "cancel absence" %}
                        </a>
                    </li>
                {% else %}
                    {% for absence_type in absence_types %}
                        <li>
                            <a class="dropdown-item"
                               href="#"
                               hx-post="{% url 'timetracker:absence:request' year=day.year month=day.month day=day.day absence_type=absence_type.uuid %}"
                               hx-swap="outerHTML"
                               hx-target="#{{ day_id }}"
                            ><i class="dropdown-item-icon icon bi bi-{{ absence_type.icon }}"></i> {% translate absence_type.label %}</a>

                        </li>
                    {% endfor %}
                {% endif %}
            </ul>
        {% endif %}

    </div>
{% else %}
    {#    <div id="{{ day_id }}" class="day">&nbsp;</div>#}
{% endif %}